### Enumeration

# Hinoko FwIsoCtxError

#### Declaration

    error-domain Hinoko.FwIsoCtxError

#### Description [src]

A set of error code for operations in `HinokoFwIsoCtx`.

#### Members

`HINOKO_FW_ISO_CTX_ERROR_FAILED`

  The system call fails.

  - Value: `0`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_ALLOCATED`

  The instance is already associated to any firewire character device.

  - Value: `1`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_NOT_ALLOCATED`

  The instance is not associated to any firewire character device.

  - Value: `2`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_MAPPED`

  The intermediate buffer is already mapped to the process.

  - Value: `3`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_NOT_MAPPED`

  The intermediate buffer is not mapped to the process.

  - Value: `4`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_CHUNK_UNREGISTERED`

  No chunk registered before starting.

  - Value: `5`
  - Available since: 1.0
`HINOKO_FW_ISO_CTX_ERROR_NO_ISOC_CHANNEL`

  No isochronous channel is available.

  - Value: `6`
  - Available since: 1.0

#### Type functions

###### hinoko_fw_iso_ctx_error_quark

Return the `GQuark` for `GError` which has code in `HinokoFwIsoCtxError`.